var myDateFormat = 'YYYY-MM-DD HH:mm:ss';

formatDate = function (to) {
  if ( arguments.length === 0 ) {
    to = myDateFormat;
  }
  return function (d, type, row) {
    if (d.length === 0) {
      return "";
    }
    // hard-coded format of java.util.Date.toString()
    // https://docs.oracle.com/javase/7/docs/api/java/util/Date.html#toString()
    var m = moment(d, 'ddd MMM DD HH:mm:ss ZZ YYYY');
    return m.format( type === 'sort' || type === 'type' ? 'x' : to );
  };
}

function now() {
  return moment().format(myDateFormat);
}

function formatJSON(d) {
  return '<pre>' + JSON.stringify(d, null, 2) + '</pre>';
}
